%global with_python3 1
%global pkgname rfc6266
%global commit 2710353e5fe09ca73d555e2fbca80c4ee12a99d6
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           python-%{pkgname}
Version:        0.0.4
Release:        4%{?dist}
Summary:        Parse and generate Content-Disposition headers

Group:          Development/Languages
License:        LGPLv3
URL:            https://github.com/g2p/rfc6266
Source0:        https://github.com/g2p/rfc6266/archive/%{commit}/%{pkgname}-%{commit}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel 
BuildRequires:  python-setuptools
%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif

%description
This module parses and generates HTTP Content-Disposition headers. These
headers are used when getting resources for download; they provide a hint
of whether the file should be downloaded, and of what filename to use when
saving.

%if 0%{?with_python3}
%package -n python3-%{pkgname}
Summary:        Intelligent schema migrations for Django apps
Group:          Development/Languages

%description -n python3-%{pkgname}
This module parses and generates HTTP Content-Disposition headers. These
headers are used when getting resources for download; they provide a hint
of whether the file should be downloaded, and of what filename to use when
saving.
%endif

%prep
%setup -qn %{pkgname}-%{commit}

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif

%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif

%files
%doc COPYING COPYING.LESSER README README.rst
%{python2_sitelib}/*%{pkgname}.py*
%{python2_sitelib}/%{pkgname}-%{version}-py?.?.egg-info

%if 0%{?with_python3}
%files -n python3-%{pkgname}
%doc COPYING COPYING.LESSER README README.rst
%{python3_sitelib}/*%{pkgname}.py*
%{python3_sitelib}/__pycache__/*%{pkgname}.cpython-*.py?
%{python3_sitelib}/%{pkgname}-%{version}-py*.egg-info
%endif

%changelog
* Wed Dec 03 2014 Juan Orti <jorti@fedoraproject.org> - 0.0.4-4
- Follow guidelines on GitHub download URL

* Wed Dec 03 2014 Juan Orti <jorti@fedoraproject.org> - 0.0.4-3
- Update license to LGPLv3
- Change Source0 URL to GitHub

* Tue Dec 02 2014 Juan Orti <jorti@fedoraproject.org> - 0.0.4-2
- Minor spec cleanup

* Sat May 24 2014 Didier Fabert <didier.fabert@gmail.com> 0.0.4-1
- Initial RPM release
